<?php
require'f_galerie.php';
$titlu='Editeaza album poze '.$fnume;
$back[2]='<a href="/poze-membru/la/'.$la.'-'.seo(nume($la,1)).'">'.img('galerie.png',1).'Poze membru '.nume($la).'</a>';
require'f_sus.php';
if($page==1)
{
require'f_mut.php';
$tip=$_POST['tip'];
$valoare=$_POST['valoare'];
$id_membru=0;
if($tip==3)
$id_membru=$conn->query('SELECT`id`FROM`membrii`WHERE`nume`="'.$valoare.'"')->fetch_row()[0];
require'f_blocat.php';
if($pmtext=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat numele albumului!';
elseif(blocat($pmtext))
{
$tip='nume album poze';
$text=$pmtext;
require'f_ban.php';
}
elseif($conn->query('SELECT COUNT(*)FROM`galerie_albume`WHERE`nume`="'.$pmtext.'"&&`de`="'.$de.'"&&`id`!="'.$fid.'"')->fetch_row()[0]>0)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Mai ai adăugat un album cu acest nume!';
elseif($tip>1&&$valoare=='')
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Nu ai completat '.($tip==2?'parola albumului':'numele membrului pentru care e destinat albumul').'!';
elseif($tip==2&&mb_strlen($valoare)<4)
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Parola albumului trebuie să conțină minim <strong>4</strong> caractere!';
elseif($tip==3&&($id_membru<1||$id_membru==$de))
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].($id_membru==$de?'Nu poți sa adaugi un album care să-ți fie accesibil doar ție!':'Numele <strong>'.$valoare.'</strong> nu apare înregistrat în baza de date a site-ului '.$adresasite[1].'!<br />Verifica dacă l-ai scris corect!');
elseif($conn->query('UPDATE`galerie_albume`SET`nume`="'.$pmtext.'",`tip`="'.$tip.'",`valoare`="'.($tip==3?$id_membru:$valoare).'"WHERE`id`="'.$fid.'"&&`de`="'.$de.'"'))
{
require'f_notificare.php';
if($finfo[2]==3&&($tip!=3||($tip==3&&$id_membru!=$finfo[3])))
$conn->query('DELETE FROM`notificari`WHERE`text`="am adăugat în galerie albumul de poze [url=/poze-membru/la/'.$de.'-'.seo(nume($de,1)).'/album/'.$fid.'-'.seo($finfo[1]).']'.$finfo[1].'[/url], album a caror poze le poți vedea doar tu!"&&`la`="'.$finfo[3].'"');
if($tip==3&&$finfo[2]!=3)
notificare('am adăugat în galerie albumul de poze [url=/poze-membru/la/'.$de.'-'.seo(nume($de,1)).'/album/'.$fid.'-'.seo($pmtext).']'.$pmtext.'[/url], album a caror poze le poți vedea doar tu!',$id_membru,$de);
require'f_sterg.php';
$poze=$conn->query('SELECT`id`,`mica`FROM`galerie_poze`WHERE`fid`="'.$fid.'"&&`de`="'.$de.'"');
while($poza=$poze->fetch_row())
{
muta_poza($poza[0],$poza[1],$fid,$finfo[1],$finfo[2],$finfo[3],$fid);
}
echo$div[4].'<img src="'.$domenii_statice[1].'actiune_check.png" alt="" width="16" height="16" />Succes!'.$div[5].$div[6].'Album editat!';
}
else
echo$div[4].'<img src="'.$domenii_statice[2].'actiune_delete.png" alt="" width="16" height="16" />Eroare!'.$div[5].$div[7].'Eroare în baza de date!';
echo$div[0];
}
else
{
echo$div[4].img('administrare.png',1).'Editeaza album poze '.$fnume.$div[5];
$form[0]=$_SERVER['REQUEST_URI'].'/pagina/1" method="post';
$form[1]=0;
require'f_scris3.php';
$confidentialitate_albume='';
$albume=count($confidentialitate_album);
for($i=0;$i<$albume;$i++)
{
$confidentialitate_albume.=$i.',,'.$confidentialitate_album[$i].'::';
}
$form[2]=$div[1].'Nume album:<br /><input name="pmtext" value="'.$fnume.'" />'.$div[0].$div[1].'Confidentialitate album:<br />'.scris3('tip',$confidentialitate_albume,$finfo[2]).$div[0].$div[10].'Daca ai ales ca albumul să fie cu parola sau pentru un singur membru, scrie mai jos parola (minim <strong>4</strong> caractere), sau numele membrului (exact cum apare pe site)!'.$div[0].$div[1].'Valoare:<br /><input name="valoare"'.($finfo[3]>1?' value="'.($finfo[2]==2?$finfo[3]:nume($finfo[3],1)).'"':'').' />'.$div[0];
$form[3]='pmtext::tip::valoare';
$form[4]='Editeaza';
require'f_form.php';
}
require'f_jos.php';